Bug 1312410 - Review Request: python-sphinxcontrib-bibtex - Sphinx extension for BibTeX style citations
Review Request: python-sphinxcontrib-bibtex - Sphinx extension for BibTeX sty...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 1304217 1312406 1312408 1312409
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 11:05 EST by Jerry James
Modified: 2016-03-05 11:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 11:00:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2016-02-26 11:05:28 EST
Spec URL: https://jjames.fedorapeople.org/python-sphinxcontrib-bibtex/python-sphinxcontrib-bibtex.spec
SRPM URL: https://jjames.fedorapeople.org/python-sphinxcontrib-bibtex/python-sphinxcontrib-bibtex-0.3.3-1.fc24.src.rpm
Fedora Account System Username: jjames
Description: Sphinxcontrib-bibtex is a Sphinx extension for BibTeX style citations.

This extension allows BibTeX citations to be inserted into documentation generated by Sphinx, via a bibliography directive, and a cite role, which work similarly to LaTeX's thebibliography environment and \cite command.

For formatting, the extension relies on pybtex, written by Andrey Golovizin.
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-02-27 21:58:11 EST
I'll review this when deps are done.
Comment 2 Jerry James 2016-03-02 23:53:31 EST
Thank you so much for picking up all of these reviews.  I really appreciate it.  Since you haven't started on this one yet, I have sneakily made the same changes you requested in the other python packages.  New URLs:

Spec URL: https://jjames.fedorapeople.org/python-sphinxcontrib-bibtex/python-sphinxcontrib-bibtex.spec
SRPM URL: https://jjames.fedorapeople.org/python-sphinxcontrib-bibtex/python-sphinxcontrib-bibtex-0.3.3-1.fc25.src.rpm
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-03-03 10:36:31 EST
nosetests -v, so the test names are printed.

/usr/share/doc/python{2,3}-sphinxcontrib-bibtex/ are 1MB each, it would be nice to have a shared -doc subpackage.

+ latest version
+ license is acceptable (BSD)
+ license file is present, %license is used
+ provides/requires look OK
+ %python_provide is used
+ %check is present and passes
+ no scriptlets required or present
+ rpmlint is OK:
python2-sphinxcontrib-bibtex.noarch: W: spelling-error %description -l en_US thebibliography -> the bibliography, the-bibliography, bibliography
python2-sphinxcontrib-bibtex.noarch: W: spelling-error %description -l en_US pybtex -> Playtex
python3-sphinxcontrib-bibtex.noarch: W: spelling-error %description -l en_US thebibliography -> the bibliography, the-bibliography, bibliography
python3-sphinxcontrib-bibtex.noarch: W: spelling-error %description -l en_US pybtex -> Playtex
python-sphinxcontrib-bibtex.src: W: spelling-error %description -l en_US thebibliography -> the bibliography, the-bibliography, bibliography
python-sphinxcontrib-bibtex.src: W: spelling-error %description -l en_US pybtex -> Playtex
python-sphinxcontrib-bibtex.src:67: W: unversioned-explicit-provides bundled(jquery)
python-sphinxcontrib-bibtex.src:68: W: unversioned-explicit-provides bundled(js-underscore)
python-sphinxcontrib-bibtex.src:83: W: unversioned-explicit-provides bundled(jquery)
python-sphinxcontrib-bibtex.src:84: W: unversioned-explicit-provides bundled(js-underscore)
3 packages and 0 specfiles checked; 0 errors, 10 warnings.
+ package works fine, nice documentation

Package is APPROVED. Please consider splitting out -doc subpackage.
Comment 4 Jerry James 2016-03-04 16:27:16 EST
Okay, I will add -v to the nosetests invocations and split out -doc.  Thank you very much for reviewing this pile of packages!  I appreciate your effort.
Comment 5 Gwyn Ciesla 2016-03-04 17:26:18 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-sphinxcontrib-bibtex

Note You need to log in before you can comment on or make changes to this bug.